Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSCrisisAlert Class Reference

This class represents the details about the crisis alert raised in the system. More...

`#import <CSCrisisAlert.h>`

Inherits NSObject.

## Properties
CSFeatureType | featureType
| The feature type associated with the crisis alert. More...
CSFeatureStatus | status
| The status of the feature (on or off). More...
NSString * | userName
| Represents name of the user who initiated the crisis alert. More...
NSString * | userExtension
| Represents extension of the user who initiated the crisis alert. More...
NSDate * | startDateTime
| Represents date and time when the crisis alert is raised. More...
NSString * | userLocation
| Represents location of the user who initiated the crisis alert. More...
NSString * | userRoom
| Represents room of the user who initiated the crisis alert. More...
NSString * | userFloor
| Represents floor of the user who initiated the crisis alert. More...
NSString * | userBuilding
| Represents building of the user who initiated the crisis alert. More...

## Detailed Description

This class represents the details about the crisis alert raised in the system.

See also
  CSCallFeatureService::crisisAlert
  - callFeatureService:didChangeCrisisAlertStatus: (CSCallFeatureServiceDelegate-p)

## Property Documentation

- (CSFeatureType) featureType
| read nonatomic assign

The feature type associated with the crisis alert.

- (NSDate*) startDateTime
| read nonatomic assign

Represents date and time when the crisis alert is raised.

- (CSFeatureStatus) status
| read nonatomic assign

The status of the feature (on or off).

- (NSString*) userBuilding
| read nonatomic assign

Represents building of the user who initiated the crisis alert.

- (NSString*) userExtension
| read nonatomic assign

Represents extension of the user who initiated the crisis alert.

- (NSString*) userFloor
| read nonatomic assign

Represents floor of the user who initiated the crisis alert.

- (NSString*) userLocation
| read nonatomic assign

Represents location of the user who initiated the crisis alert.

- (NSString*) userName
| read nonatomic assign

Represents name of the user who initiated the crisis alert.

- (NSString*) userRoom
| read nonatomic assign

Represents room of the user who initiated the crisis alert.

The documentation for this class was generated from the following file:

- CSCrisisAlert.h